Bug 824228 - /usr/libexec/gnome-settings-daemon'. Program terminated with signal 11, Segmentation fault
/usr/libexec/gnome-settings-daemon'. Program terminated with signal 11, Segme...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-22 23:14 EDT by Charles R. Anderson
Modified: 2013-07-31 16:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:32:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles R. Anderson 2012-05-22 23:14:10 EDT
Description of problem:

Performing test case: http://fedoraproject.org/wiki/QA:Testcase_desktop_login
1. logged in as test1
2. logged out
3. logged in as test2
4. logged out
This crash was generated at least twice, so it appears to happen on either login or logout.


warning: core file may not match specified executable file.
[New LWP 1289]
[New LWP 1293]
[New LWP 1415]
[New LWP 1292]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `/usr/libexec/gnome-settings-daemon'.
Program terminated with signal 11, Segmentation fault.
#0  0x00007f37b71d78a0 in ?? ()

Thread 4 (Thread 0x7f37c58b9700 (LWP 1292)):
#0  0x00007f37d2498eef in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
        resultvar = <optimized out>
        oldtype = 0
        result = <optimized out>
#1  0x00007f37d29ca984 in g_main_context_poll (n_fds=5, fds=0x7f37bc002e30, timeout=-1, context=0x7f37c0009ba0, priority=<optimized out>) at gmain.c:3417
        poll_func = 0x7f37d29d87a0 <g_poll>
#2  g_main_context_iterate (context=0x7f37c0009ba0, block=block@entry=1, dispatch=dispatch@entry=1, self=<error reading variable: Unhandled dwarf expression opcode 0xfa>) at gmain.c:3118
        max_priority = 2147483647
        timeout = -1
        some_ready = <optimized out>
        nfds = 5
        allocated_nfds = <optimized out>
        fds = 0x7f37bc002e30
#3  0x00007f37d29cade2 in g_main_loop_run (loop=0x7f37c0009b50) at gmain.c:3317
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#4  0x00007f37d3ae6126 in gdbus_shared_thread_func (user_data=0x7f37c0009b70) at gdbusprivate.c:277
        data = 0x7f37c0009b70
#5  0x00007f37d29ed315 in g_thread_proxy (data=0x7f37c00088f0) at gthread.c:801
        thread = 0x7f37c00088f0
#6  0x00007f37d276ed14 in start_thread (arg=0x7f37c58b9700) at pthread_create.c:309
        __res = <optimized out>
        pd = 0x7f37c58b9700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139877514188544, 6741345554525726292, 0, 139877789315072, 139877514188544, 139877421194096, -6637856117918914988, -6637823176614861228}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
#7  0x00007f37d24a199d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 3 (Thread 0x7f37b6b58700 (LWP 1415)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:218
No locals.
#1  0x00007f37d2a06a35 in g_cond_wait_until (cond=cond@entry=0xfb9158, mutex=mutex@entry=0xfb9150, end_time=end_time@entry=239045021) at gthread-posix.c:855
        ts = {tv_sec = 239, tv_nsec = 45021000}
        status = <optimized out>
#2  0x00007f37d29a1551 in g_async_queue_pop_intern_unlocked (queue=queue@entry=0xfb9150, wait=wait@entry=1, end_time=end_time@entry=239045021) at gasyncqueue.c:424
        retval = <optimized out>
        __PRETTY_FUNCTION__ = "g_async_queue_pop_intern_unlocked"
#3  0x00007f37d29a1b9a in g_async_queue_timeout_pop (queue=0xfb9150, timeout=timeout@entry=15000000) at gasyncqueue.c:545
        end_time = 239045021
        retval = <optimized out>
#4  0x00007f37d29edad2 in g_thread_pool_wait_for_new_pool () at gthreadpool.c:169
        pool = <optimized out>
        local_max_idle_time = 15000
        local_wakeup_thread_serial = <optimized out>
        local_max_unused_threads = 2
        last_wakeup_thread_serial = 0
        have_relayed_thread_marker = 0
#5  g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:366
        free_pool = <optimized out>
        task = 0x2
        pool = <optimized out>
#6  0x00007f37d29ed315 in g_thread_proxy (data=0x11b6e80) at gthread.c:801
        thread = 0x11b6e80
#7  0x00007f37d276ed14 in start_thread (arg=0x7f37b6b58700) at pthread_create.c:309
        __res = <optimized out>
        pd = 0x7f37b6b58700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139877265278720, 6741345554525726292, 0, 17199440, 139877265278720, 20, -6637884211836869036, -6637823176614861228}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
#8  0x00007f37d24a199d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 2 (Thread 0x7f37b7fff700 (LWP 1293)):
#0  0x00007f37d2498eef in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
        resultvar = <optimized out>
        oldtype = 0
        result = <optimized out>
#1  0x00007f37d29ca984 in g_main_context_poll (n_fds=1, fds=0x7f37b00010e0, timeout=-1, context=0xfd3930, priority=<optimized out>) at gmain.c:3417
        poll_func = 0x7f37d29d87a0 <g_poll>
#2  g_main_context_iterate (context=0xfd3930, block=block@entry=1, dispatch=dispatch@entry=1, self=<error reading variable: Unhandled dwarf expression opcode 0xfa>) at gmain.c:3118
        max_priority = 2147483647
        timeout = -1
        some_ready = <optimized out>
        nfds = 1
        allocated_nfds = <optimized out>
        fds = 0x7f37b00010e0
#3  0x00007f37d29cade2 in g_main_loop_run (loop=0x7f37b00010c0) at gmain.c:3317
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#4  0x00007f37c494cb0b in dconf_context_thread (data=0xfd3930) at dconfcontext.c:11
        context = 0xfd3930
        loop = <optimized out>
        __PRETTY_FUNCTION__ = "dconf_context_thread"
#5  0x00007f37d29ed315 in g_thread_proxy (data=0xfbac50) at gthread.c:801
        thread = 0xfbac50
#6  0x00007f37d276ed14 in start_thread (arg=0x7f37b7fff700) at pthread_create.c:309
        __res = <optimized out>
        pd = 0x7f37b7fff700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139877286934272, 6741345554525726292, 0, 139877789315072, 139877286934272, 16595248, -6637885908885821868, -6637823176614861228}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
#7  0x00007f37d24a199d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 1 (Thread 0x7f37d5eee980 (LWP 1289)):
#0  0x00007f37b71d78a0 in ?? ()
No symbol table info available.
#1  0x00007f37d3fd4f41 in gdk_event_apply_filters (xevent=xevent@entry=0x7ffff41aa4f0, event=event@entry=0x10da820, window=window@entry=0x0) at gdkeventsource.c:81
        filter = 0x10d07d0
        node = <optimized out>
        tmp_list = 0x10caba0
        result = <optimized out>
#2  0x00007f37d3fd5117 in gdk_event_source_translate_event (xevent=0x7ffff41aa4f0, event_source=0xf910f0) at gdkeventsource.c:195
        filter_window = 0x0
        dpy = 0xf96c30
        event = 0x10da820
        result = GDK_FILTER_CONTINUE
        event_translator = <optimized out>
#3  _gdk_x11_display_queue_events (display=0xfa3010) at gdkeventsource.c:332
        event = 0x10da820
        xevent = {type = 96, xany = {type = 96, serial = 1164, send_event = 0, display = 0xf96c30, window = 10485772}, xkey = {type = 96, serial = 1164, send_event = 0, display = 0xf96c30, window = 10485772, root = 16458314678272, subwindow = 386547056640000, time = 224801, x = 2, y = 0, x_root = 0, y_root = 0, state = 0, keycode = 0, same_screen = 0}, xbutton = {type = 96, serial = 1164, send_event = 0, display = 0xf96c30, window = 10485772, root = 16458314678272, subwindow = 386547056640000, time = 224801, x = 2, y = 0, x_root = 0, y_root = 0, state = 0, button = 0, same_screen = 0}, xmotion = {type = 96, serial = 1164, send_event = 0, display = 0xf96c30, window = 10485772, root = 16458314678272, subwindow = 386547056640000, time = 224801, x = 2, y = 0, x_root = 0, y_root = 0, state = 0, is_hint = 0 '\000', same_screen = 0}, xcrossing = {type = 96, serial = 1164, send_event = 0, display = 0xf96c30, window = 10485772, root = 16458314678272, subwindow = 386547056640000, time = 224801, x = 2, y = 0, x_root = 0, y_root = 0, mode = 0, detail = 0, same_screen = 0, focus = 0, state = 1281}, xfocus = {type = 96, serial = 1164, send_event = 0, display = 0xf96c30, window = 10485772, mode = 0, detail = 3832}, xexpose = {type = 96, serial = 1164, send_event = 0, display = 0xf96c30, window = 10485772, x = 0, y = 3832, width = 0, height = 90000, count = 224801}, xgraphicsexpose = {type = 96, serial = 1164, send_event = 0, display = 0xf96c30, drawable = 10485772, x = 0, y = 3832, width = 0, height = 90000, count = 224801, major_code = 0, minor_code = 2}, xnoexpose = {type = 96, serial = 1164, send_event = 0, display = 0xf96c30, drawable = 10485772, major_code = 0, minor_code = 3832}, xvisibility = {type = 96, serial = 1164, send_event = 0, display = 0xf96c30, window = 10485772, state = 0}, xcreatewindow = {type = 96, serial = 1164, send_event = 0, display = 0xf96c30, parent = 10485772, window = 16458314678272, x = 0, y = 90000, width = 224801, height = 0, border_width = 2, override_redirect = 0}, xdestroywindow = {type = 96, serial = 1164, send_event = 0, display = 0xf96c30, event = 10485772, window = 16458314678272}, xunmap = {type = 96, serial = 1164, send_event = 0, display = 0xf96c30, event = 10485772, window = 16458314678272, from_configure = 0}, xmap = {type = 96, serial = 1164, send_event = 0, display = 0xf96c30, event = 10485772, window = 16458314678272, override_redirect = 0}, xmaprequest = {type = 96, serial = 1164, send_event = 0, display = 0xf96c30, parent = 10485772, window = 16458314678272}, xreparent = {type = 96, serial = 1164, send_event = 0, display = 0xf96c30, event = 10485772, window = 16458314678272, parent = 386547056640000, x = 224801, y = 0, override_redirect = 2}, xconfigure = {type = 96, serial = 1164, send_event = 0, display = 0xf96c30, event = 10485772, window = 16458314678272, x = 0, y = 90000, width = 224801, height = 0, border_width = 2, above = 0, override_redirect = 0}, xgravity = {type = 96, serial = 1164, send_event = 0, display = 0xf96c30, event = 10485772, window = 16458314678272, x = 0, y = 90000}, xresizerequest = {type = 96, serial = 1164, send_event = 0, display = 0xf96c30, window = 10485772, width = 0, height = 3832}, xconfigurerequest = {type = 96, serial = 1164, send_event = 0, display = 0xf96c30, parent = 10485772, window = 16458314678272, x = 0, y = 90000, width = 224801, height = 0, border_width = 2, above = 0, detail = 0, value_mask = 0}, xcirculate = {type = 96, serial = 1164, send_event = 0, display = 0xf96c30, event = 10485772, window = 16458314678272, place = 0}, xcirculaterequest = {type = 96, serial = 1164, send_event = 0, display = 0xf96c30, parent = 10485772, window = 16458314678272, place = 0}, xproperty = {type = 96, serial = 1164, send_event = 0, display = 0xf96c30, window = 10485772, atom = 16458314678272, time = 386547056640000, state = 224801}, xselectionclear = {type = 96, serial = 1164, send_event = 0, display = 0xf96c30, window = 10485772, selection = 16458314678272, time = 386547056640000}, xselectionrequest = {type = 96, serial = 1164, send_event = 0, display = 0xf96c30, owner = 10485772, requestor = 16458314678272, selection = 386547056640000, target = 224801, property = 2, time = 0}, xselection = {type = 96, serial = 1164, send_event = 0, display = 0xf96c30, requestor = 10485772, selection = 16458314678272, target = 386547056640000, property = 224801, time = 2}, xcolormap = {type = 96, serial = 1164, send_event = 0, display = 0xf96c30, window = 10485772, colormap = 16458314678272, new = 0, state = 90000}, xclient = {type = 96, serial = 1164, send_event = 0, display = 0xf96c30, window = 10485772, message_type = 16458314678272, format = 0, data = {b = "!n\003\000\000\000\000\000\002\000\000\000\000\000\000\000\000\000\000", s = {28193, 3, 0, 0, 2, 0, 0, 0, 0, 0}, l = {224801, 2, 0, 0, 0}}}, xmapping = {type = 96, serial = 1164, send_event = 0, display = 0xf96c30, window = 10485772, request = 0, first_keycode = 3832, count = 0}, xerror = {type = 96, display = 0x48c, resourceid = 0, serial = 16346160, error_code = 12 '\f', request_code = 0 '\000', minor_code = 160 '\240'}, xkeymap = {type = 96, serial = 1164, send_event = 0, display = 0xf96c30, window = 10485772, key_vector = "\000\000\000\000\370\016\000\000\000\000\000\000\220_\001\000!n\003\000\000\000\000\000\002\000\000\000\000\000\000"}, xgeneric = {type = 96, serial = 1164, send_event = 0, display = 0xf96c30, extension = 10485772, evtype = 0}, xcookie = {type = 96, serial = 1164, send_event = 0, display = 0xf96c30, extension = 10485772, evtype = 0, cookie = 0, data = 0x15f9000000000}, pad = {96, 1164, 0, 16346160, 10485772, 16458314678272, 386547056640000, 224801, 2, 0, 0, 0, 1281, 0 <repeats 11 times>}}
        xdisplay = 0xf96c30
        event_source = 0xf910f0
        display_x11 = 0xfa3010
#4  0x00007f37d3fabee1 in gdk_display_get_event (display=display@entry=0xfa3010) at gdkdisplay.c:310
        __PRETTY_FUNCTION__ = "gdk_display_get_event"
#5  0x00007f37d3fd4e52 in gdk_event_source_dispatch (source=source@entry=0xf910f0, callback=<optimized out>, user_data=<optimized out>) at gdkeventsource.c:354
        display = 0xfa3010
        event = <optimized out>
#6  0x00007f37d29ca5cc in g_main_dispatch (context=0xfb0600) at gmain.c:2515
        dispatch = 0x7f37d3fd4e40 <gdk_event_source_dispatch>
        was_in_call = 0
        user_data = 0x0
        callback = 0
        cb_funcs = 0x0
        cb_data = 0x0
        current_source_link = {data = 0xf910f0, next = 0x7ffff41aa840}
        need_destroy = <optimized out>
        source = 0xf910f0
        current = 0x10e1620
        i = <optimized out>
#7  g_main_context_dispatch (context=context@entry=0xfb0600) at gmain.c:3052
No locals.
#8  0x00007f37d29ca9e8 in g_main_context_iterate (context=0xfb0600, block=block@entry=1, dispatch=dispatch@entry=1, self=<error reading variable: Unhandled dwarf expression opcode 0xfa>) at gmain.c:3123
        max_priority = 0
        timeout = 0
        some_ready = 1
        nfds = <optimized out>
        allocated_nfds = <optimized out>
        fds = 0x11bde60
#9  0x00007f37d29cade2 in g_main_loop_run (loop=0x11f3730) at gmain.c:3317
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#10 0x00007f3793a9451d in ?? ()
No symbol table info available.
#11 0x00007f3793a93e20 in ?? ()
No symbol table info available.
#12 0x00000000011f4c10 in ?? ()
No symbol table info available.
#13 0x0000000000000008 in ?? ()
No symbol table info available.
#14 0x0000000000010008 in ?? ()
No symbol table info available.
#15 0x00007ffff41aa748 in ?? ()
No symbol table info available.
#16 0x0000000000010008 in ?? ()
No symbol table info available.
#17 0x0000000000000000 in ?? ()
No symbol table info available.
From                To                  Syms Read   Shared Object Library
0x00007f37d5af8570  0x00007f37d5af8ca8  Yes         /usr/lib64/gnome-settings-daemon-3.0/libgsd.so
0x00007f37d58eed50  0x00007f37d58f2c80  Yes         /lib64/libsystemd-login.so.0
0x00007f37d56ea100  0x00007f37d56eafe8  Yes         /lib64/libgmodule-2.0.so.0
0x00007f37d54e7690  0x00007f37d54e780c  Yes         /lib64/libgthread-2.0.so.0
0x00007f37d52e1260  0x00007f37d52e454c  Yes         /lib64/librt.so.1
0x00007f37d50d9790  0x00007f37d50dbcbc  Yes         /lib64/libnotify.so.4
0x00007f37d4ec9d10  0x00007f37d4ed1db8  Yes         /lib64/libupower-glib.so.1
0x00007f37d4cc2cb0  0x00007f37d4cc4160  Yes         /lib64/libcanberra-gtk3.so.0
0x00007f37d4ab33c0  0x00007f37d4abc31c  Yes         /lib64/libcanberra.so.0
0x00007f37d48938d0  0x00007f37d48a672c  Yes         /lib64/libgnome-desktop-3.so.2
0x00007f37d42772a0  0x00007f37d4508650  Yes         /lib64/libgtk-3.so.0
0x00007f37d3fa6080  0x00007f37d3fe7924  Yes         /lib64/libgdk-3.so.0
0x00007f37d3d73b30  0x00007f37d3d7fc04  Yes         /lib64/libatk-1.0.so.0
0x00007f37d3a4bef0  0x00007f37d3b07744  Yes         /lib64/libgio-2.0.so.0
0x00007f37d3814910  0x00007f37d3819358  Yes         /lib64/libpangocairo-1.0.so.0
0x00007f37d35f4750  0x00007f37d3607b50  Yes         /lib64/libgdk_pixbuf-2.0.so.0
0x00007f37d33e83c0  0x00007f37d33e9374  Yes         /lib64/libcairo-gobject.so.2
0x00007f37d31a8eb0  0x00007f37d31c7490  Yes         /lib64/libpango-1.0.so.0
0x00007f37d2efa2f0  0x00007f37d2f7115c  Yes         /lib64/libcairo.so.2
0x00007f37d2cac910  0x00007f37d2cd9dcc  Yes         /lib64/libgobject-2.0.so.0
0x00007f37d299cb80  0x00007f37d2a2f6dc  Yes         /lib64/libglib-2.0.so.0
0x00007f37d276c790  0x00007f37d2777494  Yes         /lib64/libpthread.so.0
0x00007f37d23cef60  0x00007f37d250fa40  Yes         /lib64/libc.so.6
0x00007f37d2194fc0  0x00007f37d21a5768  Yes         /lib64/libselinux.so.1
0x00007f37d1f8c500  0x00007f37d1f8dc34  Yes         /lib64/libcap.so.2
0x00007f37d1d87ea0  0x00007f37d1d889e0  Yes         /lib64/libdl.so.2
0x00007f37d5cfbb20  0x00007f37d5d15359  Yes         /lib64/ld-linux-x86-64.so.2
0x00007f37d1b74af0  0x00007f37d1b81a54  Yes         /lib64/libelf.so.1
0x00007f37d19564a0  0x00007f37d19679e4  Yes         /lib64/libdbus-glib-1.so.2
0x00007f37d170f760  0x00007f37d17382b4  Yes         /lib64/libdbus-1.so.3
0x00007f37d15010b0  0x00007f37d150514c  Yes         /lib64/libvorbisfile.so.3
0x00007f37d12d5810  0x00007f37d12ecd6c  Yes         /lib64/libvorbis.so.0
0x00007f37d10cca30  0x00007f37d10cf0e8  Yes         /lib64/libogg.so.0
0x00007f37d0ebc4a0  0x00007f37d0ec5980  Yes         /lib64/libtdb.so.1
0x00007f37d0cb3400  0x00007f37d0cb75d4  Yes         /lib64/libltdl.so.7
0x00007f37d09bb5f0  0x00007f37d0a22abc  Yes         /lib64/libm.so.6
0x00007f37d0699ea0  0x00007f37d0720260  Yes         /lib64/libX11.so.6
0x00007f37d0475830  0x00007f37d0479f34  Yes         /lib64/libXrandr.so.2
0x00007f37d0265700  0x00007f37d026f7d0  Yes         /lib64/libXext.so.6
0x00007f37d0055130  0x00007f37d005efb4  Yes         /lib64/libXi.so.6
0x00007f37cfe4e4f0  0x00007f37cfe50cf8  Yes         /lib64/libXfixes.so.3
0x00007f37cfc28600  0x00007f37cfc42bfc  Yes         /lib64/libpangoft2-1.0.so.0
0x00007f37cf9f1ef0  0x00007f37cfa0b6ec  Yes         /lib64/libfontconfig.so.1
0x00007f37cf7e9b00  0x00007f37cf7ea438  Yes         /lib64/libXinerama.so.1
0x00007f37cf5e0a80  0x00007f37cf5e56dc  Yes         /lib64/libXcursor.so.1
0x00007f37cf3dbc30  0x00007f37cf3dc774  Yes         /lib64/libXcomposite.so.1
0x00007f37cf1d8b90  0x00007f37cf1d959c  Yes         /lib64/libXdamage.so.1
0x00007f37cefd1950  0x00007f37cefd60ec  Yes         /lib64/libffi.so.5
0x00007f37cedbaf50  0x00007f37cedc7648  Yes         /lib64/libz.so.1
0x00007f37ceba39b0  0x00007f37cebb1dfc  Yes         /lib64/libresolv.so.2
0x00007f37ce90bbc0  0x00007f37ce976250  Yes         /lib64/libfreetype.so.6
0x00007f37ce6d9fa0  0x00007f37ce6f5ae0  Yes         /lib64/libpng15.so.15
0x00007f37ce457d80  0x00007f37ce4c1eec  Yes         /usr/lib64/libpixman-1.so.0
0x00007f37ce246a70  0x00007f37ce24c9e0  Yes         /usr/lib64/libXrender.so.1
0x00007f37ce0413a0  0x00007f37ce04348c  Yes         /lib64/libattr.so.1
0x00007f37cde09dc0  0x00007f37cde0ecac  Yes         /lib64/libcrypt.so.1
0x00007f37cdbf49c0  0x00007f37cdc00708  Yes         /lib64/libxcb.so.1
0x00007f37cd9c5dd0  0x00007f37cd9deccc  Yes         /lib64/libexpat.so.1
0x00007f37cd762520  0x00007f37cd7a1538  Yes         /lib64/libfreebl3.so
0x00007f37cd55be80  0x00007f37cd55cbb0  Yes         /lib64/libXau.so.6
0x00007f37c5f0b930  0x00007f37c5f22f98  Yes         /usr/lib64/gio/modules/libgvfsdbus.so
0x00007f37c5cf4310  0x00007f37c5cfdc9c  Yes         /lib64/libgvfscommon.so.0
0x00007f37c5ac0f20  0x00007f37c5ae00cc  Yes         /lib64/libbluray.so.1
0x00007f37c58baee0  0x00007f37c58bb814  Yes         /lib64/libutil.so.1
0x00007f37c4d8dbc0  0x00007f37c4e6ea74  Yes         /lib64/libxml2.so.2
0x00007f37c448caf0  0x00007f37c44f23ab  Yes         /lib64/libstdc++.so.6
0x00007f37c421e9d0  0x00007f37c422e148  Yes         /lib64/libgcc_s.so.1
0x00007f37c4b53ce0  0x00007f37c4b5c330  Yes         /usr/lib64/gio/modules/libgioremote-volume-monitor.so
0x00007f37c494aa30  0x00007f37c494da18  Yes         /usr/lib64/gio/modules/libdconfsettings.so
0x00007f37c473d1b0  0x00007f37c474467c  Yes         /lib64/libnss_files.so.2
0x00007f37b6fc9700  0x00007f37b6fcb714  Yes         /usr/lib64/gtk-3.0/3.0.0/theming-engines/libadwaita.so
0x00007f37b6d9a950  0x00007f37b6dbe9e8  Yes         /lib64/librsvg-2.so.2
0x00007f37b6b61ce0  0x00007f37b6b80428  Yes         /lib64/libcroco-0.6.so.3
0x00007f37b456dbd0  0x00007f37b456e04c  Yes         /usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so
0x00007f37a2646480  0x00007f37a2648e48  Yes         /lib64/libXtst.so.6
0x00007f37a07e4d20  0x00007f37a07e6614  Yes         /lib64/libpulse-mainloop-glib.so.0
0x00007f37a05a8110  0x00007f37a05d2d18  Yes         /lib64/libpulse.so.0
0x00007f37a03963d0  0x00007f37a03998d4  Yes         /lib64/libjson.so.0
0x00007f37a01446d0  0x00007f37a017970c  Yes         /lib64/libpulsecommon-1.1.so
0x00007f379bdfe5d0  0x00007f379bdfe6ec  Yes         /lib64/libX11-xcb.so.1
0x00007f379bbe6eb0  0x00007f379bbf4e1c  Yes         /lib64/libICE.so.6
0x00007f379b9dbbe0  0x00007f379b9dfd18  Yes         /lib64/libSM.so.6
0x00007f379b7d2130  0x00007f379b7d5c98  Yes         /lib64/libwrap.so.0
0x00007f379b579260  0x00007f379b5b19c8  Yes         /lib64/libsndfile.so.1
0x00007f379b36e340  0x00007f379b370998  Yes         /lib64/libasyncns.so.0
0x00007f379b1696d0  0x00007f379b16ad58  Yes         /lib64/libuuid.so.1
0x00007f379af530d0  0x00007f379af60934  Yes         /lib64/libnsl.so.1
0x00007f379ad45270  0x00007f379ad4d3a4  Yes         /lib64/libgsm.so.1
0x00007f379ab15fb0  0x00007f379ab3ac78  Yes         /lib64/libFLAC.so.8
0x00007f379a64eab0  0x00007f379a651164  Yes         /lib64/libvorbisenc.so.2
0x00007f37942f9cd0  0x00007f3794302a6c  Yes         /lib64/libp11-kit.so.0
0x00007f37940e6d20  0x00007f37940f0cac  Yes         /usr/lib64/pkcs11/gnome-keyring-pkcs11.so
0x00007f3792756710  0x00007f3792756ec0  Yes         /usr/lib64/gtk-3.0/modules/libpk-gtk-module.so
0x00007f3792551020  0x00007f3792553060  Yes         /usr/lib64/gtk-3.0/modules/libcanberra-gtk-module.so
$1 = 0x0
$2 = 0x0
rax            0x1	1
rbx            0x10caba0	17607584
rcx            0x11b0ab0	18549424
rdx            0x1074240	17252928
rsi            0x10da820	17672224
rdi            0x7ffff41aa4f0	140737288774896
rbp            0x10d07d0	0x10d07d0
rsp            0x7ffff41aa488	0x7ffff41aa488
r8             0xfad000	16437248
r9             0x0	0
r10            0xaaaaaaaaaaaaaaab	-6148914691236517205
r11            0x0	0
r12            0x0	0
r13            0x0	0
r14            0x7ffff41aa4f0	140737288774896
r15            0x10da820	17672224
rip            0x7f37b71d78a0	0x7f37b71d78a0
eflags         0x10202	[ IF RF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
No function contains program counter for selected frame.


Version-Release number of selected component (if applicable):
gnome-settings-daemon-3.4.1-4.fc17.x86_64

How reproducible:
didn't try
Comment 1 Charles R. Anderson 2012-05-24 00:06:35 EDT
I reproduced this again.  It happens on logout from Gnome Shell.  Here is a manually generated backtrace:

(gdb) thread apply all bt

Thread 3 (Thread 0x7f42c7ca7700 (LWP 1306)):
#0  0x00007f42d8c0ceef in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f42d913e984 in g_main_context_poll (n_fds=5, fds=0x7f42bc002e40, timeout=-1, context=0x7f42c8009ba0, priority=<optimized out>) at gmain.c:3417
#2  g_main_context_iterate (context=0x7f42c8009ba0, block=block@entry=1, dispatch=dispatch@entry=1, self=<error reading variable: Unhandled dwarf expression opcode 0xfa>) at gmain.c:3118
#3  0x00007f42d913ede2 in g_main_loop_run (loop=0x7f42c8009b50) at gmain.c:3317
#4  0x00007f42da25a126 in gdbus_shared_thread_func (user_data=0x7f42c8009b70) at gdbusprivate.c:277
#5  0x00007f42d9161315 in g_thread_proxy (data=0x7f42c80088f0) at gthread.c:801
#6  0x00007f42d8ee2d14 in start_thread (arg=0x7f42c7ca7700) at pthread_create.c:309
#7  0x00007f42d8c1599d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 2 (Thread 0x7f42c6548700 (LWP 1307)):
#0  0x00007f42d8c0ceef in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f42d913e984 in g_main_context_poll (n_fds=1, fds=0x7f42b40010e0, timeout=-1, context=0x17b8ed0, priority=<optimized out>) at gmain.c:3417
#2  g_main_context_iterate (context=0x17b8ed0, block=block@entry=1, dispatch=dispatch@entry=1, self=<error reading variable: Unhandled dwarf expression opcode 0xfa>) at gmain.c:3118
#3  0x00007f42d913ede2 in g_main_loop_run (loop=0x7f42b40010c0) at gmain.c:3317
#4  0x00007f42c7092b0b in dconf_context_thread (data=0x17b8ed0) at dconfcontext.c:11
#5  0x00007f42d9161315 in g_thread_proxy (data=0x17a4c50) at gthread.c:801
#6  0x00007f42d8ee2d14 in start_thread (arg=0x7f42c6548700) at pthread_create.c:309
#7  0x00007f42d8c1599d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7f42dc662980 (LWP 1299)):
#0  0x00007f42c56ca8a0 in ?? ()
#1  0x00007f42da748f41 in gdk_event_apply_filters (xevent=xevent@entry=0x7fff1e907d00, event=event@entry=0x18c6820, window=window@entry=0x0) at gdkeventsource.c:81
#2  0x00007f42da749117 in gdk_event_source_translate_event (xevent=0x7fff1e907d00, event_source=0x177b0f0) at gdkeventsource.c:195
#3  _gdk_x11_display_queue_events (display=0x178d010) at gdkeventsource.c:332
#4  0x00007f42da71fee1 in gdk_display_get_event (display=display@entry=0x178d010) at gdkdisplay.c:310
#5  0x00007f42da748e52 in gdk_event_source_dispatch (source=source@entry=0x177b0f0, callback=<optimized out>, user_data=<optimized out>) at gdkeventsource.c:354
#6  0x00007f42d913e5cc in g_main_dispatch (context=0x179a600) at gmain.c:2515
#7  g_main_context_dispatch (context=context@entry=0x179a600) at gmain.c:3052
#8  0x00007f42d913e9e8 in g_main_context_iterate (context=0x179a600, block=block@entry=1, dispatch=dispatch@entry=1, self=<error reading variable: Unhandled dwarf expression opcode 0xfa>) at gmain.c:3123
#9  0x00007f42d913ede2 in g_main_loop_run (loop=0x176dda0) at gmain.c:3317
#10 0x00007f42ac51c51d in ?? ()
#11 0x00007f42ac51be20 in ?? ()
#12 0x0000000001a8b810 in ?? ()
#13 0x0000000000000008 in ?? ()
#14 0x0000000000010008 in ?? ()
#15 0x00007fff1e907f58 in ?? ()
#16 0x0000000000010008 in ?? ()
#17 0x0000000000000000 in ?? ()
Comment 2 Matthias Clasen 2012-06-14 17:26:32 EDT
It would be great if you could reproduce this with the missing debuginfo installed, so that the ?? here:

Thread 1 (Thread 0x7f42dc662980 (LWP 1299)):
#0  0x00007f42c56ca8a0 in ?? ()
#1  0x00007f42da748f41 in gdk_event_apply_filters (xevent=xevent@entry=0x7fff1e907d00, event=event@entry=0x18c6820, window=window@entry=0x0) at gdkeventsource.c:81


gets replaced by a function name.
Comment 3 Stewart Adam 2012-06-15 14:05:16 EDT
Reassigning to default assignee - not sure how this got assigned to me...
Comment 4 Fedora End Of Life 2013-07-03 16:29:49 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 16:32:54 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.